PWAIT(1)

NAME
pwait - wait for processes to terminate

SYNOPSIS
pwait [-t duration] [-v] pid ...

DESCRIPTION
The pwait utility will wait until each of the given processes has terminated.

The following option is available:

-t duration
    If any process is still running after duration, pwait will exit. The duration value can be integer or decimal numbers. Values without unit symbols are interpreted as seconds.

    Supported unit symbols are:
    s   seconds
    m   minutes
    h   hours

-v  Print the exit status when each process terminates.

EXIT STATUS
The pwait utility exits 0 on success, and >0 if an error occurs.

If the -t flag is specified and a timeout occurs, the exit status will be 124.

Invalid pids elicit a warning message but are otherwise ignored.

SEE ALSO
kill(1), pkill(1), ps(1), wait(1), kqueue(2)

NOTES
pwait is not a substitute for the wait(1) builtin as it will not clean up any zombies or state in the parent process.

HISTORY
A pwait command first appeared in SunOS 5.8.